<div class="rounded-panel__row challenge-statement">
  {{#if this.challengeTitle}}
    <h3 class="challenge-statement__title">{{ this.challengeTitle }}</h3>
  {{/if}}
  <h2 class="sr-only">{{t 'pages.challenge.parts.instruction'}}</h2>
  {{#if this.challengeInstruction}}
    <div class="challenge-statement__instruction-section">
      <MarkdownToHtmlUnsafe @class="challenge-statement-instruction__text" @markdown={{this.challengeInstruction}} />

      {{#if @challenge.hasValidEmbedDocument}}
        <div class="sr-only">{{t "pages.challenge.statement.sr-only.embed"}}</div>
      {{/if}}

      {{#if @challenge.alternativeInstruction}}
        <div class="sr-only">{{t "pages.challenge.statement.sr-only.alternative-instruction"}}</div>
      {{/if}}

      {{#if this.isFocusedChallengeToggleEnabled}}
        <Challenge::Statement::Tooltip @challenge={{@challenge}} />
      {{/if}}
    </div>
  {{/if}}

  {{#if @challenge.illustrationUrl}}
    <div class="challenge-statement__illustration-section">
      <ChallengeIllustration @src={{@challenge.illustrationUrl}} @alt={{@challenge.illustrationAlt}} />
    </div>
  {{/if}}

  {{#if @challenge.hasAttachment}}
    <div class="challenge-statement__attachments-section">

      {{#if @challenge.hasSingleAttachment}}
        <div class="challenge-statement__action">
          <a
            class="challenge-statement__action-link"
            href="{{this.orderedAttachments.firstObject}}"
            target="_blank"
            rel="noopener noreferrer"
            download
          >
            <span class="challenge-statement__action-label">{{t
                "pages.challenge.statement.file-download.actions.download"
              }}</span>
          </a>
          <p class="challenge-statement__action-help">{{t
              "pages.challenge.statement.file-download.help"
              htmlSafe=true
            }}</p>
        </div>
      {{/if}}

      {{#if @challenge.hasMultipleAttachments}}
        <p class="challenge-statement__text">
          <span data-test-id="challenge-statement__text-content">{{t
              "pages.challenge.statement.file-download.actions.choose-type"
            }}</span>
          <div class="challenge-statement__help-icon">
            <FaIcon @icon="circle-info" />
            <div class="challenge-statement__help-tooltip">
              <span class="challenge-statement__help-text">{{t
                  "pages.challenge.statement.file-download.description"
                }}</span>
            </div>
          </div>
        </p>
        <ul class="challenge-statement__file-options">
          {{#each this.orderedAttachments as |attachmentUrl index|}}
            <li class="challenge-statement__file-option">

              {{! This radiobutton is hidden  - SVG displayed instead - but needed to handle behaviour. }}
              <input
                type="radio"
                id="attachment{{index}}"
                class="challenge-statement__file-option_input"
                name="attachment_selector"
                value="{{attachmentUrl}}"
                {{on "click" (fn this.chooseAttachmentUrl attachmentUrl)}}
                checked="{{if (eq attachmentUrl this.selectedAttachmentUrl) 'checked'}}"
              />

              <label class="label-checkbox-downloadable" for="attachment{{index}}">
                <span class="challenge-statement__file-option-label">{{t
                    "pages.challenge.statement.file-download.file-type"
                    fileExtension=(extract-extension attachmentUrl)
                  }}</span>
              </label>

            </li>
          {{/each}}
        </ul>
        <div class="challenge-statement__action">
          <a
            class="challenge-statement__action-link"
            href="{{this.selectedAttachmentUrl}}"
            target="_blank"
            rel="noopener noreferrer"
            download
          >
            <span class="challenge-statement__action-label">{{t
                "pages.challenge.statement.file-download.actions.download"
              }}</span>
          </a>
          <p class="challenge-statement__action-help">{{t
              "pages.challenge.statement.file-download.help"
              htmlSafe=true
            }}</p>
        </div>
      {{/if}}
    </div>
  {{/if}}

  {{#if @challenge.hasValidEmbedDocument}}
    <ChallengeEmbedSimulator @embedDocument={{this.challengeEmbedDocument}} />
  {{/if}}

  {{#if @challenge.alternativeInstruction}}
    <div class="challenge-statement__alternative-instruction">
      <PixButton @triggerAction={{this.toggleAlternativeInstruction}}>
        {{#if this.displayAlternativeInstruction}}
          {{t "pages.challenge.statement.alternative-instruction.actions.hide"}}
        {{else}}
          {{t "pages.challenge.statement.alternative-instruction.actions.display"}}
        {{/if}}
      </PixButton>
      {{#if this.displayAlternativeInstruction}}
        <MarkdownToHtml
          class="challenge-statement__alternative-instruction-text"
          @markdown={{@challenge.alternativeInstruction}}
        />
      {{/if}}
    </div>
  {{/if}}
</div>